% Bias of alpha (based on general estimating equation)

% In HN notation
% bias_alpha_{i} = -(sum_{s} v_{it,a})^{-1} \sum_{t} v_{it,a}
% phi_alpha_{it} + (1/2) v_{it,aa} \sigma2_alpha_{i}

function BIAS = bias_alpha_tobit(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));
n = size(index,1)/t;

dy = real(y > 0);
h = d(1,1);
delta = d(2:size(d,1),1);
mu = x*delta;
lambdabar = mills_prob(-mu);

vit   = dy .* (h*y - mu) - (1 - dy) .* lambdabar ;
vita  = - dy + (1 - dy) .* dmills_prob(-mu);
vitaa = - (1 - dy) .* ddmills_prob(- mu);


s_vita = D'*vita;

pit   = phi_alpha_tobit(y,x,d,index);
si    = sigma2_alpha_tobit(y,x,d,index);

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);

visa = reshape(vita,t,n);
visa = [zeros(1,n) ; visa(1:(t-1),:)];
visa = (t/(t-1))*reshape(visa,t*n,1);

BIAS    = -(s_vita.^(-1)).*(D'*(vita.*pit + vita.*pis + pit.*visa + vitaa.*kron(si/2,ones(t,1))));
