% Bias of alpha (based on MLE + taking conditional expectations with
% respect to x)

function BIAS = bias_alpha_tobit_mle2(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));

dy = real(y > 0);
h = d(1,1);
delta = d(2:size(d,1),1);
mu = x*delta;
lambdabar = mills_prob(-mu);

vitc   = - normcdf(mu) + (1 - normcdf(mu)) .* dmills_prob(-mu);
vitcc  = - (1 - normcdf(mu)) .* ddmills_prob(-mu);

s1 = (1/t) * D' * ((1 - normcdf(mu)) .* (lambdabar + mu .* dmills_prob(-mu)));
s2 = (1/t) * D' * vitc;

pit   = phi_alpha_tobit_mle2(y,x,d,index);

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);

s_vitapis = (1/t)* D' * (vitc .* pis);
s_pitpis = (1/t) * D' * (pit .* pis);
s_vitcc = (1/t) * D' * vitcc;

BIAS = - (1/2) * s1 ./ (s2 .^ 2) - (s_vitapis + (s_pitpis .* s_vitcc)) ./ s2;

