% Bias of Beta (based on MLE + taking conditional expectations wrt x)

function BIAS = bias_beta_probit_mle2(y,x,d,n,index)

D = dummyvar(index);
t = mean(sum(D));
p = size(x,2)-n;
n = size(index,1)/t;

dy = real(y > 0);
h = d(1,1);
delta = d(2:size(d,1),1);
mu = x*delta;
lambdabar = mills_prob(-mu);
lambda = mills_prob(mu);


vit   = dy .* (h*y - mu) - (1 - dy) .* lambdabar ;
vita   = - normcdf(mu) + (1 - normcdf(mu)) .* dmills_prob(-mu);
vitaa  = - (1 - dy) .* ddmills_prob(- mu);

uita  = [normcdf(mu) .* (mu + lambda)/h,   x(:,1:p) .* (vita*ones(1,p))];
uitaa  = [0 * y,   x(:,1:p) .* (vitaa*ones(1,p))];

uitb  = [- sum(normcdf(mu) .* (2 + mu .* (mu + lambda))/(h^2))  (normcdf(mu) .* (mu + lambda))' * x(:,1:p) / h;
            x(:,1:p)' * (normcdf(mu) .* (mu + lambda)) / h  x(:,1:p)' * (x(:,1:p) .* (vita*ones(1,p)))];


vitb  = uita;

s_vita = kron(D'*vita,ones(t,1));
s_vitb = kron(D'*vitb,ones(t,1));

TEMP1 = s_vitb ./ (s_vita * ones(1,p+1));

H     = (uitb - uita' * TEMP1) / t;


x1 = x(:,1:p);

vitc   = - normcdf(mu) + (1 - normcdf(mu)) .* dmills_prob(-mu);

s11 = (1/t) * D' * (normcdf(mu) .* (mu + lambda));
s12 = (1/t) * D' * ((1 - normcdf(mu)) .* (lambdabar + mu .* dmills_prob(-mu)));
s13 = (1/t) * D' * (normcdf(mu));
s14 = - (1/t) * D' * vitc;

s21 = - (1/t) * D' * (kron(vitc,ones(1,p)) .* x1);
s22 = (1/t) * D' * (kron((1 - normcdf(mu)) .* (lambdabar + mu .* dmills_prob(-mu)),ones(1,p)) .* x1);

b1 =  [sum((-(s11 .* s12)/(2*h) + (s13 .* s14)/h) ./ (s14 .^ 2)) ;
    sum( (s21 .* kron(s12,ones(1,p)) - kron(s14, ones(1,p)) .* s22) ./ (kron(s14, ones(1,p)) .^ 2) )'/2 ];

pit   = phi_alpha_tobit_mle2(y,x,d,index);

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);

s_pitpis = (1/t) * D' * (pit .* pis);
s_uitapis = (1/t)* D' * (uita .* (pis *ones(1,p+1)));
s_uitaa = (1/t) * D' * uitaa;

b = b1 + sum(s_uitapis + (1/2) * s_uitaa .* (s_pitpis * ones(1,p+1)),1)';

BIAS  = -inv(H)*b;


