% Influence function of alpha (based on general estimating equation)

% in HN notation
% phi_alpha = - v_{it} / mean_{t} v_{it,a}

function PHI = phi_alpha_tobit(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));

dy = real(y > 0);
h = d(1,1);
delta = d(2:size(d,1),1);
mu = x*delta;
lambdabar = mills_prob(-mu);

vit   = dy .* (h*y - mu) - (1 - dy) .* lambdabar ;
vita  = -dy + (1 - dy) .* dmills_prob(-mu);

s_vita = D'*vita;

PHI   = - vit ./ (kron(s_vita,ones(t,1))/t);
