% Influence function of alpha (based on MLE)

% in HN notation
% phi_alpha = v_{it} / mean_{t} v_{it}^{2}

function PHI = phi_alpha_tobit_mle(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));

dy = real(y > 0);
h = d(1,1);
delta = d(2:size(d,1),1);
mu = x*delta;
lambdabar = mills_prob(-mu);

vit   = dy .* (h*y - mu) - (1 - dy) .* lambdabar ;

s2 = t ./ (D'*(vit.^2));

PHI   = vit .* (kron(s2,ones(t,1)));