% Variance of alpha (based on general estimating equation)

% in HN notation
% sigma2_alpha = mean_{t} phi_alpha^{2}

function SIGMA2 = sigma2_alpha_tobit(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));
n = size(index,1)/t;

pit   = phi_alpha_tobit(y,x,d,index);

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);


SIGMA2    = (1/t)*D'*(pit.^2 + pit .* pis);

