function [P,Q]=probit(delta2, d, x2, h, mu1)
% Censored response model based on the normal distribution i.e. TOBIT
% Include offset variables

if size(delta2,2)==1,      
   mu = mu1 + x2 * delta2;
else,
   error('Initial conditions must be entered as a column vector')
end

mu = min(mu, 35);
lambda = mills_prob(-mu);
    
dd = real(d > 0);
h = max(h, 0.0001);

P = -sum(dd * log(h) + dd .* log(max(normpdf(h*d - mu), .0001)) + (1 - dd) .* log(max(1 - normcdf(mu),0.0001)));

Q = - sum(kron(dd .* (h*d - mu) - (1 - dd) .* lambda, ones(1, size(x2,2))) .* x2)';
